Subject: bug#60652: 30.0.50; tree-sitter: `treesit-inspect-mode' seems to break the undo ring... sometimes?

From: Mickey Petersen <[email-masked]>
Date: Mon, 09 Jan 2023 09:01:11 +0000

Yuan Fu <[email-masked]> writes:

> Mickey Petersen <[email-masked]> writes:
>
>> Steps to somewhat reliably reproduce it:
>>
>> 1. Enable `treesit-inspect-mode' in a valid buffer.
>> 2. Do some light editing, and sometimes the undo ring will reset
>> itself to just the previous undone state and the current one. In
>> effect turning what was a history of undo events into two.
>>
>> Sadly, I have little more than this to go on.
>
> I am truly amazed :-) I don’t have any idea why, either. AFAIK
> treesit-inspect-mode doesn’t do anything dangerous.
>

Yes, sorry for the vague report. But I figured I'd at least throw it
out there in case someone else encounters it. It's possible something
else is interfering, but given the simplicity of the mode, as you say,
it is indeed odd. I will let you know if I can reproduce it reliably.

> Yuan